org.apache.cassandra.metrics

## Class DroppedMessageMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.DroppedMessageMetrics

    public class DroppedMessageMetrics
    extends java.lang.Object

Metrics for dropped messages by verb.

### Field Summary

Fields
`com.yammer.metrics.core.Meter` `dropped` Number of dropped messages

### Constructor Summary

Constructors
Constructor and Description
`DroppedMessageMetrics(MessagingService.Verb verb)`

### Method Summary

Methods
`int` `getRecentlyDropped()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dropped

    public final com.yammer.metrics.core.Meter dropped

Number of dropped messages

### Constructor Detail

#### DroppedMessageMetrics

    public DroppedMessageMetrics(MessagingService.Verb verb)

### Method Detail

#### getRecentlyDropped

    @Deprecated
    public int getRecentlyDropped()

Deprecated.